/*
 *	Buffer operations: Most will become #define's once I'm happier
 */
 
#include <linuxmt/types.h>
#include <arch/bitops.h>
#include <linuxmt/fs.h>

int buffer_uptodate(bh)
struct buffer_head *bh;
{
	return test_bit(BH_Uptodate, &bh->b_state);
}

int buffer_dirty(bh)
struct buffer_head *bh;
{
	return test_bit(BH_Dirty, &bh->b_state);
}

int buffer_locked(bh)
struct buffer_head *bh;
{
	return test_bit(BH_Lock, &bh->b_state);
}

int buffer_req(bh)
struct buffer_head *bh;
{
	return test_bit(BH_Req, &bh->b_state);
}

int buffer_touched(bh)
struct buffer_head *bh;
{
	return test_bit(BH_Touched, &bh->b_state);
}

int buffer_protected(bh)
struct buffer_head *bh;
{
	return test_bit(BH_Protected, &bh->b_state);
}

int mark_buffer_clean(bh)
struct buffer_head *bh;
{
	clear_bit(BH_Dirty,&bh->b_state);
}

int mark_buffer_dirty(bh,flag)
struct buffer_head *bh;
int flag;
{
	set_bit(BH_Dirty, &bh->b_state);
}

extern void brelse(bh)
struct buffer_head *bh;
{
	if(bh)
		__brelse(bh);
}

extern void bforget(bh)
struct buffer_head *bh;
{
	if(bh)
		__bforget(bh);
}

extern struct inode *iget(sb,nr)
struct super_block *sb;
int nr;
{
	return __iget(sb,nr,1);
}
